<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package TA_Business
 */

get_header(); ?>
<div class="main-pages-container">
    <div class="tab-container">
    	<div id="primary" class="content-area">
    		<main id="main" class="site-main">
    
    			<section class="error-404 not-found">
    				<header class="page-header">
    					<h1 class="page-title"><?php esc_html_e( '404 Error - Oops! That page can&rsquo;t be found.', 'ta-business' ); ?></h1>
    				</header><!-- .page-header -->
    
    				<div class="page-content">
    					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'ta-business' ); ?></p>
    
    					<?php
    						get_search_form();
    					?>
    
    				</div><!-- .page-content -->
    			</section><!-- .error-404 -->
    
    		</main><!-- #main -->
    	</div><!-- #primary -->
    <?php get_sidebar();?>
    </div>
</div>
<?php get_footer();
