<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package TA_Business
 */

get_header(); ?>
<div class="main-pages-container">
    <div class="tab-container">
        <?php
        $ta_business_archive_sidebar_layout = get_theme_mod( 'ta_business_archive_sidebar_layout', 'right_sidebar' );
        if($ta_business_archive_sidebar_layout == ''){$ta_business_archive_sidebar_layout = 'right_sidebar';}
        if($ta_business_archive_sidebar_layout == 'both_sidebar' || 
        $ta_business_archive_sidebar_layout == 'left_sidebar'){ ?>
            <?php get_sidebar('left'); 
        } ?>
    	<div id="primary" class="content-area <?php echo esc_attr($ta_business_archive_sidebar_layout); ?>">
    		<main id="main" class="site-main">
    
    		<?php
    		if ( have_posts() ) : ?>
    
    			<?php
    			/* Start the Loop */
    			while ( have_posts() ) : the_post();
    
    				/*
    				 * Include the Post-Format-specific template for the content.
    				 * If you want to override this in a child theme, then include a file
    				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
    				 */
    				get_template_part( 'template-parts/content', get_post_format() );
    
    			endwhile;

                $ta_business_archive_pagination_enable_disable = get_theme_mod('ta_business_archive_pagination_enable_disable','enable');
                if( $ta_business_archive_pagination_enable_disable != 'disable' ):
        			the_posts_pagination();
                endif;
    
    		else :
    
    			get_template_part( 'template-parts/content', 'none' );
    
    		endif; ?>
    
    		</main><!-- #main -->
    	</div><!-- #primary -->
    <?php if($ta_business_archive_sidebar_layout == 'both_sidebar' || 
    $ta_business_archive_sidebar_layout == 'right_sidebar'){ ?>
        <?php get_sidebar(); 
    }?>
    </div>
<div class="main-pages-container">
<?php get_footer();
