jQuery(document).ready(function($) {	

    /** Enable Disable Switch **/
    $('.switch_button').each(function() {
        
        var obj = $(this);
        var switchPart = obj.children('.switch_part').attr('data-switch');
        var input = obj.children('input'); //cache the element where we must set the value
        var input_val = obj.children('input').val(); //cache the element where we must set the value
    
        obj.children('.switch_part.'+input_val).addClass('selected');
        obj.children('.switch_part').on('click', function(){
            var switchVal = $(this).attr('data-switch');
            obj.children('.switch_part').removeClass('selected');
            $(this).addClass('selected');
            $(input).val(switchVal).change(); //Finally change the value to 1
        });
    });
    
    /** Script for Customizer icons **/ 
    $(document).on('click', '.tab-fa-icons li', function() {
        $(this).parents('.tab-fa-icons').find('li').removeClass();
        $(this).addClass('selected');
        var iconVal = $(this).parents('.icons-list-wrapper').find('li.selected').children('i').attr('class');
        var inpiconVal = iconVal.split(' ');
        $(this).parents( '.tab-fa-icons' ).find('.tab-icon-value').val(inpiconVal[1]);
        $(this).parents( '.tab-fa-icons' ).find('.tab-icon-preview').html('<i class="' + iconVal + '"></i>');
        $('.tab-icon-value').trigger('change');
    });
    
    /** Portfolio Radio Image **/
    $( '[id="input_ta_business_portfolio_layout"]' ).buttonset();

    /** Main Header Layout Radio Image **/
    $( '[id="input_ta_business_main_header_layout"]' ).buttonset();

    /** Archive Sidebar Layout **/
    $( '[id="input_ta_business_archive_sidebar_layout"]' ).buttonset();
    
    /** About Radio Image **/
    $( '[id="input_ta_business_about_layout"]' ).buttonset();
    
    /** Service Radio Image **/
    $( '[id="input_ta_business_service_layout"]' ).buttonset();
    
    /** Counter Radio Image **/
    $( '[id="input_ta_business_counter_layout"]' ).buttonset();
    
    /** Team Radio Image **/
    $( '[id="input_ta_business_team_layout"]' ).buttonset();
    
    /** Slider Feature Post Radio Image **/
    $( '[id="input_ta_business_slider_feature_post_layout"]' ).buttonset();

    /** Section Title Layout Radio Image **/
    $( '[id="input_ta_business_sections_title_layout"]' ).buttonset();
    
});