<?php
/** Enable Disable Sanitize Function **/
function ta_business_sanitize_enable_disable( $input ) {
    $valid_keys = array(
            'enable'  => esc_html__( 'Enable', 'ta-business' ),
            'disable'  => esc_html__( 'Disable', 'ta-business' )
        );
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}

/** Customizer Category List Sanitize **/
function ta_business_sanitize_post_cat_list($input){
    $ta_business_Category_list = ta_business_Category_list();
    if( array_key_exists($input,$ta_business_Category_list)){
        return $input;
    }
    else{
        return '';
    }
}

/** Customizer Post List Sanitize **/
function ta_business_sanitize_post_list($input){
    $ta_business_Posts_List = ta_business_Posts_List();
    if(array_key_exists($input,$ta_business_Posts_List)){
        return $input;
    }
    else{
        return '';
    }
}

/** Customizer Page List Sanitize **/
function ta_business_sanitize_page_list($input){
    $ta_business_Page_list = ta_business_Page_list();
    if(array_key_exists($input,$ta_business_Page_list)){
        return $input;
    }
    else{
        return '';
    }
}

/** Customizer Month List Sanitize **/
function ta_business_sanitize_month_list($input){
    $ta_business_month = ta_business_month();
    if(array_key_exists($input,$ta_business_month)){
        return $input;
    }
    else{
        return '';
    }
}

/** Customizer Day List Sanitize **/
function ta_business_sanitize_day_list($input){
    $ta_business_day = ta_business_day();
    if(array_key_exists($input,$ta_business_day)){
        return $input;
    }
    else{
        return '';
    }
}

/** Customizer Year List Sanitize **/
function ta_business_sanitize_year_list($input){
    $ta_business_year = ta_business_year();
    if(array_key_exists($input,$ta_business_year)){
        return $input;
    }
    else{
        return '';
    }
}
/** Customizer Time List Sanitize **/
function ta_business_sanitize_time_list($input){
    $ta_business_time = ta_business_time();
    if(array_key_exists($input,$ta_business_time)){
        return $input;
    }
    else{
        return '';
    }
}

/** Active Callback About Image **/
function ta_business_about_image( $control ) {
    if($control->manager->get_setting('ta_business_about_layout')->value() == 'layout-2'){
        return true;
        
    }else{
        return false;
    }
}
/** Active Callback Service Image **/
function ta_business_service_image( $control ) {
    if($control->manager->get_setting('ta_business_service_layout')->value() == 'layout-1'){
        return true;
        
    }else{
        return false;
    }
}

/** Active Callback Section Title Icon **/
function ta_business_section_icon( $control ) {
    if($control->manager->get_setting('ta_business_sections_title_layout')->value() == 'layout-2'){
        return true;
        
    }else{
        return false;
    }
}
/** Active Callback About Skill **/
function ta_business_about_skill( $control ) {
    if($control->manager->get_setting('ta_business_about_layout')->value() == 'layout-1' || 
    $control->manager->get_setting('ta_business_about_layout')->value() == ''){
        return true;
        
    }else{
        return false;
    }
}

function ta_business_sanitize_radio_image( $input ) {
    $valid_keys = array(
            'layout-1'  => esc_html__( 'Layout 1', 'ta-business' ),
            'layout-2'  => esc_html__( 'Layout 2', 'ta-business' ),
        );
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}

/** Sidebar Option Sanitize **/
function ta_business_sanitize_sidebar_option($input){
	$ta_business_post_sidebar_field = array('left_sidebar','right_sidebar','no_sidebar','both_sidebar');
    if( in_array( $input,$ta_business_post_sidebar_field ) ){
        return $input;
    }
    else{
        return '';
    }
}