<?php
/**
 * @package AR Mag
 */
 
$home_sections = ta_business_home_sections_ed();

if ( 'posts' == get_option( 'show_on_front' ) ) { //Show Static Blog Page
    
    include( get_home_template() );

}elseif( !empty( $home_sections ) ){

    get_header();
    foreach( $home_sections as $section ){
    	if( $section ){
        	get_template_part( 'template-parts/sections/section', esc_html( $section ) );
        }
    }
	get_footer();
    
}else {
    //If all section are disabled then this respective page template. 
    include( get_page_template() );
}
