<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package TA_Business
 */

if ( ! is_active_sidebar( 'sidebar-1' ) ) {
	return;
} 
global $post;
if( is_single() ){
	$ta_business_post_sidebar = get_post_meta( $post->ID, 'ta_business_post_sidebar_option', true );
}else{
	$ta_business_post_sidebar = get_theme_mod( 'ta_business_archive_sidebar_layout', 'right_sidebar' );
}
if($ta_business_post_sidebar == ''){ $ta_business_post_sidebar = 'right_sidebar'; }?>

<aside class="secondary widget-area sidebar-right <?php echo esc_attr( $ta_business_post_sidebar ); ?>">
	<?php dynamic_sidebar( 'sidebar-1' ); ?>
</aside><!-- #secondary -->