<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package TA_Business
 */

?>

<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package TA_Business
 */

?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="entry-content">
    
        <header class="entry-header">
            
    	   <?php the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' ); ?>
           
    	</header><!-- .entry-header -->
        
		<?php the_excerpt(); ?>
        <?php $ta_business_archive_button_lebel = get_theme_mod('ta_business_archive_button_lebel',esc_html__('Read More','ta-business')); ?>
        
        <a class="read-more" href="<?php the_permalink() ?>">
            <?php echo esc_html($ta_business_archive_button_lebel); ?>
            <i class="fa fa-angle-double-right" aria-hidden="true"></i>
        </a>
        
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->

