<?php
/**
 * contact Section
 */
?>

<section id="home-contact-section" class="home-section">
        <div class="secondary-contact-wrap tab-clearfix">
            <?php 
            $ta_business_contact_section_title = get_theme_mod('ta_business_contact_section_title');
            $ta_business_contact_section_sub_title = get_theme_mod('ta_business_contact_section_sub_title');
            $ta_business_contact_form_page = get_theme_mod('ta_business_contact_form_page');
            $ta_business_contact_map_page = get_theme_mod('ta_business_contact_map_page');
            ?>
            
            
            <div class="left-contact">
                <div class="secondary-contact">
                    <?php if($ta_business_contact_section_title || $ta_business_contact_section_sub_title){?>
                        <div class="title-sub-contact">
                            <?php if($ta_business_contact_section_title){?>
                                <h2><?php echo esc_html($ta_business_contact_section_title); ?></h2>
                            <?php } ?>
                            <?php if($ta_business_contact_section_sub_title){?>
                                <p><?php echo esc_html($ta_business_contact_section_sub_title); ?></p>
                            <?php } ?>
                        </div>
                    <?php } ?>
                    
                    <?php 
                    $ta_business_contact_form_query = new WP_Query(array('post_type'=>'page','post__in'=>array($ta_business_contact_form_page)));
                    if($ta_business_contact_form_query->have_posts()){
                    ?>
                    <div class="main-form-contact">
                        <?php while($ta_business_contact_form_query->have_posts()){
                            $ta_business_contact_form_query->the_post();
                            ?>
                            <div class="secondary-form">
                                <?php the_content(); ?>
                            </div>
                            <?php
                        } ?>
                    </div>
                    <?php wp_reset_postdata();} ?>
                </div>
            </div>
            
            <?php 
            $ta_business_contact_map_query = new WP_Query(array('post_type'=>'page','post__in'=>array($ta_business_contact_map_page)));
            if($ta_business_contact_map_query->have_posts()){
            ?>
            <div class="right-contact">
                <?php while($ta_business_contact_map_query->have_posts()){
                    $ta_business_contact_map_query->the_post();
                    ?>
                    <div class="secondary-map">
                        <?php the_content(); ?>
                    </div>
                    <?php
                } ?>
            </div>
            <?php wp_reset_postdata();} ?>
            
        </div>
</section>