<?php
/**
 * Countdown Section
 */
?>

<section id="home-countdown-section" class="home-section">
    <div class="tab-container tab-clearfix">
        <div class="secondary-countdown-wrap">
            <?php 
            $ta_business_countdown_form_title = get_theme_mod('ta_business_countdown_form_title');
            $ta_business_countdown_form = get_theme_mod('ta_business_countdown_form');
            $ta_business_read_more_text = get_theme_mod('ta_business_read_more_text',esc_html__('Read More','ta-business') );
            $ta_business_countdown_title = get_theme_mod('ta_business_countdown_title');
            $ta_business_countdown_desc = get_theme_mod('ta_business_countdown_desc');
            $ta_business_countdown_month = get_theme_mod('ta_business_countdown_month');
            $ta_business_countdown_day = get_theme_mod('ta_business_countdown_day');
            $ta_business_countdown_year = get_theme_mod('ta_business_countdown_year');
            $ta_business_countdown_time = get_theme_mod('ta_business_countdown_time');
            $ta_business_countdown_minute = '59';
            
            if($ta_business_countdown_month == ''){ $ta_business_countdown_month = 'December'; }
            if($ta_business_countdown_day == ''){ $ta_business_countdown_day = '24'; }
            if($ta_business_countdown_year == ''){ $ta_business_countdown_year = date("Y") + 2; }
            if($ta_business_countdown_time == ''){ $ta_business_countdown_time = '23'; } 
            $ta_business_countdown_button_link = get_theme_mod('ta_business_countdown_button_link');?>
            
            <div class="left-form-contact">
                <div class="main-form">
                    <div class="secondary-form">
                    
                        <?php if($ta_business_countdown_form_title){ ?>
                        
                            <h2><?php echo esc_html($ta_business_countdown_form_title); ?></h2>
                            
                        <?php } ?>
                        
                        <?php if($ta_business_countdown_form){
                                $ta_business_form_query = new WP_Query(array('post_type'=>'page','posts_per_page' => -1,'post__in'=>array($ta_business_countdown_form)));
                                if($ta_business_form_query->have_posts()){
                                        while($ta_business_form_query->have_posts()){
                                            $ta_business_form_query->the_post(); ?>
                                            <div class="tab-cf7">
                                                <?php the_content(); ?>
                                            </div>
                                        <?php }
                                }
                        }?>
                        
                    </div>
                </div>
            </div>
            <div class="right-cuntdown">
            
                <div id="counter-countdown"  month="<?php echo esc_attr($ta_business_countdown_month); ?>" day="<?php echo absint($ta_business_countdown_day); ?>" year="<?php echo absint($ta_business_countdown_year);  ?>" time="<?php echo absint($ta_business_countdown_time); ?>" minute="<?php echo absint($ta_business_countdown_minute); ?>"></div>
                
                <div class="title-countdown">
                
                    <?php if($ta_business_countdown_title){ ?>
                        <h2><?php echo esc_html($ta_business_countdown_title); ?></h2>
                    <?php } ?>
                    
                    <?php if($ta_business_countdown_desc){ ?>
                        <h4><?php echo esc_html($ta_business_countdown_desc); ?></h4>
                    <?php } ?>
                    
                    <?php if($ta_business_countdown_button_link){ ?>
                        <a class="read-more-button" href="<?php echo esc_url($ta_business_countdown_button_link); ?>">
                            <?php echo esc_html( $ta_business_read_more_text ); ?>
                        </a>
                    <?php } ?>
                    
                </div>
                
            </div>
            
        </div>
    </div>
</section>