<?php
/**
 * Counter Section
 */
$ta_business_counter_layout = get_theme_mod('ta_business_counter_layout','layout-1');
$ta_business_sections_title_layout = get_theme_mod('ta_business_sections_title_layout','layout-1');
$ta_business_sections_title_icon = get_theme_mod('ta_business_sections_title_icon','fa-heartbeat');
?>

<section id="home-counter-section" class="home-section <?php echo esc_attr($ta_business_counter_layout); ?>">
    <div class="tab-container tab-clearfix">
        <?php 
        $ta_business_counter_cat = get_theme_mod('ta_business_counter_cat');
        $ta_business_counter_section_title = get_theme_mod('ta_business_counter_section_title');
        
        $ta_business_counter_icon_one = get_theme_mod('ta_business_counter_icon_one');
        $ta_business_counter_title_one = get_theme_mod('ta_business_counter_title_one');
        $ta_business_counter_count_one = get_theme_mod('ta_business_counter_count_one');
        
        $ta_business_counter_icon_two = get_theme_mod('ta_business_counter_icon_two');
        $ta_business_counter_title_two = get_theme_mod('ta_business_counter_title_two');
        $ta_business_counter_count_two = get_theme_mod('ta_business_counter_count_two');
        
        $ta_business_counter_icon_three = get_theme_mod('ta_business_counter_icon_three');
        $ta_business_counter_title_three = get_theme_mod('ta_business_counter_title_three');
        $ta_business_counter_count_three = get_theme_mod('ta_business_counter_count_three');
        
        $ta_business_counter_icon_four = get_theme_mod('ta_business_counter_icon_four');
        $ta_business_counter_title_four = get_theme_mod('ta_business_counter_title_four');
        $ta_business_counter_count_four = get_theme_mod('ta_business_counter_count_four');
        
        if($ta_business_counter_section_title){ ?>
            <div class="tab-home-section-title <?php echo esc_attr( $ta_business_sections_title_layout ); ?>">
            
                <?php if($ta_business_counter_section_title){ ?>

                    <h2><?php echo esc_html($ta_business_counter_section_title); ?></h2>

                    <?php if( $ta_business_sections_title_layout == 'layout-2' ){ ?>
                        <span><i class="fa <?php echo esc_attr( $ta_business_sections_title_icon ); ?>" aria-hidden="true"></i></span>
                    <?php } ?>

                <?php } ?>
                
            </div>
        <?php } ?>
        
        <div class="counter-wrap-main counter-wrap-main  tab-clearfix">
        
            <?php if($ta_business_counter_icon_one || 
            $ta_business_counter_title_one || 
            $ta_business_counter_count_one){ ?>
                
                <div id="counter-home-one" class="secondary-wrap-counter-content">
                    
                    <?php if($ta_business_counter_icon_one){ ?>
                        <div class="fa-counter-icon">
                            <i class="fa <?php echo esc_attr($ta_business_counter_icon_one); ?>"></i>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_title_one){ ?>
                        <div class="counter-title">
                            <h4><?php echo esc_html($ta_business_counter_title_one); ?></h4>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_count_one){ ?>
                        <div class="counter-count">
                            <span><?php echo absint($ta_business_counter_count_one); ?></span>
                        </div>
                    <?php } ?>
                    
                </div>
                
            <?php } ?>
            
            <?php
            if($ta_business_counter_icon_two || 
            $ta_business_counter_title_two || 
            $ta_business_counter_count_two){ ?>
                
                <div id="counter-home-two" class="secondary-wrap-counter-content">
                    
                    <?php if($ta_business_counter_icon_two){ ?>
                        <div class="fa-counter-icon">
                            <i class="fa <?php echo esc_attr($ta_business_counter_icon_two); ?>"></i>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_title_two){ ?>
                        <div class="counter-title">
                            <h4><?php echo esc_html($ta_business_counter_title_two); ?></h4>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_count_two){ ?>
                        <div class="counter-count">
                            <span><?php echo absint($ta_business_counter_count_two); ?></span>
                        </div>
                    <?php } ?>
                    
                </div>
                
            <?php } ?>
            
            <?php
            if($ta_business_counter_icon_three || 
            $ta_business_counter_title_three || 
            $ta_business_counter_count_three){ ?>
                
                <div id="counter-home-three" class="secondary-wrap-counter-content">
                    
                    <?php if($ta_business_counter_icon_three){ ?>
                        <div class="fa-counter-icon">
                            <i class="fa <?php echo esc_attr($ta_business_counter_icon_three); ?>"></i>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_title_three){ ?>
                        <div class="counter-title">
                            <h4><?php echo esc_html($ta_business_counter_title_three); ?></h4>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_count_three){ ?>
                        <div class="counter-count">
                            <span><?php echo absint($ta_business_counter_count_three); ?></span>
                        </div>
                    <?php } ?>
                    
                </div>
                
            <?php } ?>
            
            <?php
            if($ta_business_counter_icon_four || 
            $ta_business_counter_title_four || 
            $ta_business_counter_count_four){ ?>
                
                <div id="counter-home-four" class="secondary-wrap-counter-content">
                    
                    <?php if($ta_business_counter_icon_four){ ?>
                        <div class="fa-counter-icon">
                            <i class="fa <?php echo esc_attr($ta_business_counter_icon_four); ?>"></i>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_title_four){ ?>
                        <div class="counter-title">
                            <h4><?php echo esc_html($ta_business_counter_title_four); ?></h4>
                        </div>
                    <?php } ?>
                    
                    <?php if($ta_business_counter_count_four){ ?>
                        <div class="counter-count">
                            <span><?php echo absint($ta_business_counter_count_four); ?></span>
                        </div>
                    <?php } ?>
                    
                </div>
                
            <?php } ?>
            
        </div>
        
    </div>
</section>